Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.layer
Interface StyleURL

All Superinterfaces:
  AbstractURL

    @XmlElement(value="StyleURL")
    public interface StyleURL

extends AbstractURL

Offers more information about the data or symbology underlying a particular `Style`. While the semantics are not well-defined, as long as the results of an HTTP GET request against the `StyleURL` are properly MIME-typed, Viewer Clients and Cascading Map Servers can make use of this. A possible use could be to allow a Map Server to provide legend information.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.3

Method Summary

Methods inherited from interface AbstractURL
`getFormat, getOnlineResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.